# Type Alias MergableObject<T>

MergableObject: MergableObjectProps & MergableObjectOperations<T>

Makes it possible to work with local objects to which there are (possibly) remote counterparts. Will automatically resolve most conflicts except those that occur when both the local and remote object have been modified in some way that will result in a conflict. Example: Local object is modified (which means it must have existed remotely) but the remote no longer exists.

#### Type Parameters

- T extends MergableObjectProps